dataset_name = 'VQEGHD3'
yuv_fmt = 'yuv420p'
width = 1920
height = 1080

yuv420_dir = '[path to vqeghd3 yuv420p dir]'

ref_videos = [{'content_id': 1,
  'content_name': 'vqeghd3_src01',
  'path': yuv420_dir + '/vqeghd3_src01_original.yuv'},
 {'content_id': 2,
  'content_name': 'vqeghd3_src02',
  'path': yuv420_dir + '/vqeghd3_src02_original.yuv'},
 {'content_id': 3,
  'content_name': 'vqeghd3_src03',
  'path': yuv420_dir + '/vqeghd3_src03_original.yuv'},
 {'content_id': 5,
  'content_name': 'vqeghd3_src05',
  'path': yuv420_dir + '/vqeghd3_src05_original.yuv'},
 {'content_id': 6,
  'content_name': 'vqeghd3_src06',
  'path': yuv420_dir + '/vqeghd3_src06_original.yuv'},
 {'content_id': 7,
  'content_name': 'vqeghd3_src07',
  'path': yuv420_dir + '/vqeghd3_src07_original.yuv'},
 {'content_id': 8,
  'content_name': 'vqeghd3_src08',
  'path': yuv420_dir + '/vqeghd3_src08_original.yuv'},
 {'content_id': 9,
  'content_name': 'vqeghd3_src09',
  'path': yuv420_dir + '/vqeghd3_src09_original.yuv'}]

dis_videos = [{'asset_id': 1,
  'content_id': 1,
  'dmos': 5.0,
  'path': yuv420_dir + '/vqeghd3_src01_hrc04.yuv',
 },
 {'asset_id': 3,
  'content_id': 1,
  'dmos': 4.75,
  'path': yuv420_dir + '/vqeghd3_src01_hrc07.yuv',
 },
 {'asset_id': 9,
  'content_id': 1,
  'dmos': 2.125,
  'path': yuv420_dir + '/vqeghd3_src01_hrc16.yuv',
 },
 {'asset_id': 10,
  'content_id': 1,
  'dmos': 2.5833333330000001,
  'path': yuv420_dir + '/vqeghd3_src01_hrc17.yuv',
 },
 {'asset_id': 11,
  'content_id': 1,
  'dmos': 2.125,
  'path': yuv420_dir + '/vqeghd3_src01_hrc18.yuv',
 },
 {'asset_id': 12,
  'content_id': 1,
  'dmos': 3.3333333330000001,
  'path': yuv420_dir + '/vqeghd3_src01_hrc19.yuv',
 },
 {'asset_id': 13,
  'content_id': 1,
  'dmos': 3.8333333330000001,
  'path': yuv420_dir + '/vqeghd3_src01_hrc20.yuv',
 },
 {'asset_id': 14,
  'content_id': 1,
  'dmos': 4.5416666670000003,
  'path': yuv420_dir + '/vqeghd3_src01_hrc21.yuv',
 },
 {'asset_id': 16,
  'content_id': 2,
  'dmos': 4.875,
  'path': yuv420_dir + '/vqeghd3_src02_hrc04.yuv',
 },
 {'asset_id': 18,
  'content_id': 2,
  'dmos': 5.0,
  'path': yuv420_dir + '/vqeghd3_src02_hrc07.yuv',
 },
 {'asset_id': 24,
  'content_id': 2,
  'dmos': 2.1666666669999999,
  'path': yuv420_dir + '/vqeghd3_src02_hrc16.yuv',
 },
 {'asset_id': 25,
  'content_id': 2,
  'dmos': 2.2916666669999999,
  'path': yuv420_dir + '/vqeghd3_src02_hrc17.yuv',
 },
 {'asset_id': 26,
  'content_id': 2,
  'dmos': 2.875,
  'path': yuv420_dir + '/vqeghd3_src02_hrc18.yuv',
 },
 {'asset_id': 27,
  'content_id': 2,
  'dmos': 3.4583333330000001,
  'path': yuv420_dir + '/vqeghd3_src02_hrc19.yuv',
 },
 {'asset_id': 28,
  'content_id': 2,
  'dmos': 4.2083333329999997,
  'path': yuv420_dir + '/vqeghd3_src02_hrc20.yuv',
 },
 {'asset_id': 29,
  'content_id': 2,
  'dmos': 4.5,
  'path': yuv420_dir + '/vqeghd3_src02_hrc21.yuv',
 },
 {'asset_id': 31,
  'content_id': 3,
  'dmos': 4.9583333329999997,
  'path': yuv420_dir + '/vqeghd3_src03_hrc04.yuv',
 },
 {'asset_id': 33,
  'content_id': 3,
  'dmos': 5.0,
  'path': yuv420_dir + '/vqeghd3_src03_hrc07.yuv',
 },
 {'asset_id': 39,
  'content_id': 3,
  'dmos': 2.5,
  'path': yuv420_dir + '/vqeghd3_src03_hrc16.yuv',
 },
 {'asset_id': 40,
  'content_id': 3,
  'dmos': 2.9583333330000001,
  'path': yuv420_dir + '/vqeghd3_src03_hrc17.yuv',
 },
 {'asset_id': 41,
  'content_id': 3,
  'dmos': 3.3333333330000001,
  'path': yuv420_dir + '/vqeghd3_src03_hrc18.yuv',
 },
 {'asset_id': 42,
  'content_id': 3,
  'dmos': 4.25,
  'path': yuv420_dir + '/vqeghd3_src03_hrc19.yuv',
 },
 {'asset_id': 43,
  'content_id': 3,
  'dmos': 4.5833333329999997,
  'path': yuv420_dir + '/vqeghd3_src03_hrc20.yuv',
 },
 {'asset_id': 44,
  'content_id': 3,
  'dmos': 4.7916666670000003,
  'path': yuv420_dir + '/vqeghd3_src03_hrc21.yuv',
 },
 {'asset_id': 61,
  'content_id': 5,
  'dmos': 5.0416666670000003,
  'path': yuv420_dir + '/vqeghd3_src05_hrc04.yuv',
 },
 {'asset_id': 63,
  'content_id': 5,
  'dmos': 4.6666666670000003,
  'path': yuv420_dir + '/vqeghd3_src05_hrc07.yuv',
 },
 {'asset_id': 69,
  'content_id': 5,
  'dmos': 2.125,
  'path': yuv420_dir + '/vqeghd3_src05_hrc16.yuv',
 },
 {'asset_id': 70,
  'content_id': 5,
  'dmos': 2.4166666669999999,
  'path': yuv420_dir + '/vqeghd3_src05_hrc17.yuv',
 },
 {'asset_id': 71,
  'content_id': 5,
  'dmos': 3.0,
  'path': yuv420_dir + '/vqeghd3_src05_hrc18.yuv',
 },
 {'asset_id': 72,
  'content_id': 5,
  'dmos': 3.8333333330000001,
  'path': yuv420_dir + '/vqeghd3_src05_hrc19.yuv',
 },
 {'asset_id': 73,
  'content_id': 5,
  'dmos': 4.4166666670000003,
  'path': yuv420_dir + '/vqeghd3_src05_hrc20.yuv',
 },
 {'asset_id': 74,
  'content_id': 5,
  'dmos': 4.5416666670000003,
  'path': yuv420_dir + '/vqeghd3_src05_hrc21.yuv',
 },
 {'asset_id': 76,
  'content_id': 6,
  'dmos': 4.9583333329999997,
  'path': yuv420_dir + '/vqeghd3_src06_hrc04.yuv',
 },
 {'asset_id': 83,
  'content_id': 6,
  'dmos': 2.4166666669999999,
  'path': yuv420_dir + '/vqeghd3_src06_hrc16.yuv',
 },
 {'asset_id': 84,
  'content_id': 6,
  'dmos': 2.7083333330000001,
  'path': yuv420_dir + '/vqeghd3_src06_hrc17.yuv',
 },
 {'asset_id': 85,
  'content_id': 6,
  'dmos': 2.625,
  'path': yuv420_dir + '/vqeghd3_src06_hrc18.yuv',
 },
 {'asset_id': 86,
  'content_id': 6,
  'dmos': 3.7083333330000001,
  'path': yuv420_dir + '/vqeghd3_src06_hrc19.yuv',
 },
 {'asset_id': 87,
  'content_id': 6,
  'dmos': 4.2916666670000003,
  'path': yuv420_dir + '/vqeghd3_src06_hrc20.yuv',
 },
 {'asset_id': 88,
  'content_id': 6,
  'dmos': 4.875,
  'path': yuv420_dir + '/vqeghd3_src06_hrc21.yuv',
 },
 {'asset_id': 90,
  'content_id': 7,
  'dmos': 5.2083333329999997,
  'path': yuv420_dir + '/vqeghd3_src07_hrc04.yuv',
 },
 {'asset_id': 92,
  'content_id': 7,
  'dmos': 4.8333333329999997,
  'path': yuv420_dir + '/vqeghd3_src07_hrc07.yuv',
 },
 {'asset_id': 98,
  'content_id': 7,
  'dmos': 2.5833333330000001,
  'path': yuv420_dir + '/vqeghd3_src07_hrc16.yuv',
 },
 {'asset_id': 99,
  'content_id': 7,
  'dmos': 2.9166666669999999,
  'path': yuv420_dir + '/vqeghd3_src07_hrc17.yuv',
 },
 {'asset_id': 100,
  'content_id': 7,
  'dmos': 3.3333333330000001,
  'path': yuv420_dir + '/vqeghd3_src07_hrc18.yuv',
 },
 {'asset_id': 101,
  'content_id': 7,
  'dmos': 4.0833333329999997,
  'path': yuv420_dir + '/vqeghd3_src07_hrc19.yuv',
 },
 {'asset_id': 102,
  'content_id': 7,
  'dmos': 4.4166666670000003,
  'path': yuv420_dir + '/vqeghd3_src07_hrc20.yuv',
 },
 {'asset_id': 103,
  'content_id': 7,
  'dmos': 4.6666666670000003,
  'path': yuv420_dir + '/vqeghd3_src07_hrc21.yuv',
 },
 {'asset_id': 105,
  'content_id': 8,
  'dmos': 5.1666666670000003,
  'path': yuv420_dir + '/vqeghd3_src08_hrc04.yuv',
 },
 {'asset_id': 107,
  'content_id': 8,
  'dmos': 5.0833333329999997,
  'path': yuv420_dir + '/vqeghd3_src08_hrc07.yuv',
 },
 {'asset_id': 113,
  'content_id': 8,
  'dmos': 2.375,
  'path': yuv420_dir + '/vqeghd3_src08_hrc16.yuv',
 },
 {'asset_id': 114,
  'content_id': 8,
  'dmos': 2.625,
  'path': yuv420_dir + '/vqeghd3_src08_hrc17.yuv',
 },
 {'asset_id': 115,
  'content_id': 8,
  'dmos': 2.8333333330000001,
  'path': yuv420_dir + '/vqeghd3_src08_hrc18.yuv',
 },
 {'asset_id': 116,
  'content_id': 8,
  'dmos': 3.5416666669999999,
  'path': yuv420_dir + '/vqeghd3_src08_hrc19.yuv',
 },
 {'asset_id': 117,
  'content_id': 8,
  'dmos': 4.0,
  'path': yuv420_dir + '/vqeghd3_src08_hrc20.yuv',
 },
 {'asset_id': 118,
  'content_id': 8,
  'dmos': 4.2916666670000003,
  'path': yuv420_dir + '/vqeghd3_src08_hrc21.yuv',
 },
 {'asset_id': 120,
  'content_id': 9,
  'dmos': 5.0833333329999997,
  'path': yuv420_dir + '/vqeghd3_src09_hrc04.yuv',
 },
 {'asset_id': 122,
  'content_id': 9,
  'dmos': 4.9166666670000003,
  'path': yuv420_dir + '/vqeghd3_src09_hrc07.yuv',
 },
 {'asset_id': 128,
  'content_id': 9,
  'dmos': 2.8333333330000001,
  'path': yuv420_dir + '/vqeghd3_src09_hrc16.yuv',
 },
 {'asset_id': 129,
  'content_id': 9,
  'dmos': 2.8333333330000001,
  'path': yuv420_dir + '/vqeghd3_src09_hrc17.yuv',
 },
 {'asset_id': 130,
  'content_id': 9,
  'dmos': 3.25,
  'path': yuv420_dir + '/vqeghd3_src09_hrc18.yuv',
 },
 {'asset_id': 131,
  'content_id': 9,
  'dmos': 3.9166666669999999,
  'path': yuv420_dir + '/vqeghd3_src09_hrc19.yuv',
 },
 {'asset_id': 132,
  'content_id': 9,
  'dmos': 4.375,
  'path': yuv420_dir + '/vqeghd3_src09_hrc20.yuv',
 },
 {'asset_id': 133,
  'content_id': 9,
  'dmos': 5.0,
  'path': yuv420_dir + '/vqeghd3_src09_hrc21.yuv',
 }]
